Bug 445397 - Cannot retrieve repository metadata (repomd.xml) for repository: extracdinstaller.
Cannot retrieve repository metadata (repomd.xml) for repository: extracdinsta...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: releng (Show other bugs)
5.2
All Linux
low Severity high
: rc
: ---
Assigned To: Dennis Gregorovic
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 13:20 EDT by James Laska
Modified: 2013-09-02 02:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHEA-2008-0436
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:55:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error-dialog.png (24.98 KB, image/png)
2008-05-06 13:20 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2008-05-06 13:20:44 EDT
Description of problem:

The Supplementary tree is missing a repodata/ directory in the root of the tree.

Version-Release number of selected component (if applicable):

RHEL5.2-Server-Supplementary-20080501.0

How reproducible:
100%


Steps to Reproduce:
1. Install RHEL5.2-Server-20080430.0/x86_64
2. Login to gnome, and run
/mnt/redhat/rel-eng/RHEL5.2-Server-Supplementary-20080501.0/5/x86_64/os/autorun
3. Click Next
  
Actual results:
Cannot retrieve repository metadata (repomd.xml) for repository:
extracdinstaller. Please verify its path and try again

(see attached screenshot)

Expected results:


Additional info:

- It appears the presence of a repodata/ directory in the root of the tree fixes
this issue

- U1 has it ...
http://porkchop.redhat.com/released/RHEL-5-Server-Supplementary/U1/x86_64/os

- U2 doesn't ...
http://porkchop.redhat.com/rel-eng/RHEL5.2-Server-Supplementary-20080501.0/5/x86_64/os/

If I mirror the U2 Supplementary, and run createrepo ... that fixes the issue
Comment 1 James Laska 2008-05-06 13:20:44 EDT
Created attachment 304663 [details]
error-dialog.png
Comment 3 James Laska 2008-05-06 13:47:38 EDT
NOTE: another fix appears to be modifying the autorun file as follows:

---
/mnt/redhat/rel-eng/RHEL5.2-Server-Supplementary-20080501.0/tree-x86_64/autorun
    2006-12-14 12:29:41.000000000 -0500
+++ /tmp/autorun        2008-05-06 13:46:09.000000000 -0400
@@ -8 +8 @@
-tree=$(pwd)
+tree=$(pwd)/Supplementary

This might help avoid duplication of the yum repodata directory.
Comment 5 Dennis Gregorovic 2008-05-07 15:55:57 EDT
x86_64 Server Supplementary now being two discs caused the distill logic to skip
over the top-level repodata creation.  I've checked in a fix in Distill.

/mnt/redhat/rel-eng/RHEL5.2-Server-Supplementary-20080507.3/
Comment 9 errata-xmlrpc 2008-05-21 13:55:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0436.html

Note You need to log in before you can comment on or make changes to this bug.